! ++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!  MIDAS procedure verify.prg  to setup and run the verifivations
!        for the plot related procedures of DFO for QC plots, or
!        for the EFOSC verification  procedures from La Silla
!  K. Banse     100416	creation
! 
! some versions of gcc yield reproducibly different results
! in the INVENTORY package, when the -O flag was set in the
! compilation of that package (/midas/version/contrib/invent)
! 
! if the EFOSC seeing test fails, execute this procedure with
! param2 = OPTImized
! i.e. Midas> @ verify efosc opti
! 
!.VERSION
! 100712	last modif
!
! ++++++++++++++++++++++++++++++++++++++++++++++++++++++
! 
define/param p1 EFOSC C "test QC plotting or EFOSC:"
! 
if ididev(1) .gt. -1 reset/display
! 
! check, if we want to verify QC or EFOSC 
! 
if p1(1:2) .eq. "QC" then
   define/param p2 YES C "copy all data needed for tests (yes/no):"
   if p2(1:2) .ne. "NO" then
      define/local sourcedir/c/1/80 $MIDASHOME/ESO-verifications/qcplot-DARK/
      define/local defdir/c/1/2 "./"
      !
      write/out copying all files from {sourcedir}
      $ cp {sourcedir}* {defdir}
   endif
   reset/display
   create/grap 0 800,480,0,0
   ! 
   ! " @@ verifyQC switch option plotflag"
   ! "switch = switch for execution:"
   ! "        1 = create plots, 2 = compare results,"
   ! "        3 = 1 + 2 (default)"
   ! "option = option for plot generation"
   ! "        CLOSEUP (default) or MAIN"
   ! "plotflag = flag for plotting the final postscript file"
   ! "        NOPLOT (default) or PLOT"
   ! 
   @@ verifyQC 3 ? plot
! 
else if p1(1:2) .eq. "EF" then
   define/param p2 noopt C "enter OPT for gcc versions > 4.2:"
   define/param p3 YES C "copy all data needed for tests (yes/no):"
   if p3(1:2) .ne. "NO" then
      define/local sourcedir/c/1/80 $MIDASHOME/ESO-verifications/EFOSCtest/
      define/local defdir/c/1/2 "./"
      !
      write/out copying all files from {sourcedir}
      $ cp {sourcedir}* {defdir}
   endif
   ! 
   ! " @ verify EFOSC option "
   ! "option = OPT for gcc version > 4.2"
   ! "	       default is NO "
   ! 
   write/keyword mid$verif/c/1/12 "{p2} "	!param. P2 passed like this...
   write/out  
   write/out "If the EFOSC seeing test, where the inventory context is used,"
   write/out "fails, execute: @ verify EFOSC OPT"
   ! 
   @@ verifyEFOSC 
else
   set/midas output=red
   write/out "wrong parameter - should be QC or EFOSC"
   set/midas output=default
endif
